summaryrefslogtreecommitdiff
path: root/www-plugins
diff options
context:
space:
mode:
authorV3n3RiX <venerix@gmail.com>2014-12-03 01:01:09 +0200
committerV3n3RiX <venerix@gmail.com>2014-12-03 01:01:09 +0200
commit8bbf9dce3d00385bea5693c344903b422de36b5a (patch)
tree5855de902dc212014afff2967f88ba743c9e17be /www-plugins
parentf71bb82d9f97c2d09b4e5df7b91bb0cc3147c955 (diff)
PPAPI2NPAPI flash plugin wrapper, aka run chrome PPAPI flash on Firefox
Diffstat (limited to 'www-plugins')
-rw-r--r--www-plugins/freshplayerplugin/Manifest1
-rw-r--r--www-plugins/freshplayerplugin/files/find-chrome-binary-plugins-flash.patch12
-rw-r--r--www-plugins/freshplayerplugin/freshplayerplugin-0.2.1.ebuild51
3 files changed, 64 insertions, 0 deletions
diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
new file mode 100644
index 00000000..1d6fcb26
--- /dev/null
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -0,0 +1 @@
+DIST freshplayerplugin-0.2.1.tar.gz 296795 SHA256 eec2baba2c1cdc2d60b5352c59208bee3d6e7bddd2fe7b6c96478fd287d125b1 SHA512 9daf87e8aeb9ac7056bb8d75e665f7ec79631b943dd7c7481de6badf43d08f4ebc603bbf007da8f2ea8472befdb3d97ab88c741118c9649c7848ef692fb11f6e WHIRLPOOL 2598b5f63023b74e6a8a1514b7d56f88294a3d281bbf053c01a3cc9d60ba0828819a846093dc250a93ab4710c0a568d916c2939169de9c886c9fd3b3ee5279fd
diff --git a/www-plugins/freshplayerplugin/files/find-chrome-binary-plugins-flash.patch b/www-plugins/freshplayerplugin/files/find-chrome-binary-plugins-flash.patch
new file mode 100644
index 00000000..111fced9
--- /dev/null
+++ b/www-plugins/freshplayerplugin/files/find-chrome-binary-plugins-flash.patch
@@ -0,0 +1,12 @@
+diff -Nur a/data/freshwrapper.conf.example b/data/freshwrapper.conf.example
+--- a/data/freshwrapper.conf.example 2014-10-20 00:46:18.000000000 +0300
++++ b/data/freshwrapper.conf.example 2014-12-02 23:00:03.357103281 +0200
+@@ -19,7 +19,7 @@
+ xinerama_screen = 0
+
+ # Path to the Pepper Flash plugin
+-pepperflash_path = "/opt/google/chrome/PepperFlash/libpepflashplayer.so"
++pepperflash_path = "/usr/lib/chromium-browser/PepperFlash/libpepflashplayer.so"
+
+ # "Command-line" arguments for Flash
+ flash_command_line = "enable_hw_video_decode=1,enable_stagevideo_auto=1"
diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.2.1.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.2.1.ebuild
new file mode 100644
index 00000000..31ca54aa
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.2.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/apulse/apulse-0.1.4.ebuild,v 1.1 2014/12/01 15:59:48 jauhien Exp $
+
+EAPI=5
+
+inherit eutils cmake-multilib nsplugins
+
+DESCRIPTION="ppapi2npapi compatibility layer"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-util/ragel
+ dev-libs/libconfig
+ >=dev-libs/glib-2.38.2-r1:2
+ >=media-libs/alsa-lib-1.0.28
+ >=x11-libs/pango-1.36.5
+ >=media-libs/mesa-10.0.4
+ >=dev-libs/libevent-2.38.2-r1"
+RDEPEND="
+ www-plugins/chrome-binary-plugins"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/find-chrome-binary-plugins-flash.patch
+}
+
+multilib_src_configure() {
+ local mycmakeargs="-DFRESHPLAYERPLUGINPATH=${EPREFIX}/usr/$(get_libdir)/freshplayerplugin"
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ # install the wrapper
+ exeinto /usr/$(get_libdir)/${PLUGINS_DIR}
+ doexe libfreshwrapper-pepperflash.so
+ # install wrapper configuration file
+ cd "${S}"
+ dodir /usr/share/${PN} || die
+ insinto /usr/share/${PN} || die
+ doins -r "${S}"/data/freshwrapper.conf.example || die
+ dosym /usr/share/${PN}/freshwrapper.conf.example /etc/freshwrapper.conf || die
+}